[tool.poetry]
name = "fast-api-example"
version = "1.0.0"
description = "Project that tries to implement Clean Architecture patterns and tools inside a FastAPI project."
authors = ["Jesús Fragoso <jesus.fragoso@globant.com>"]
readme = "README.md"
packages = [{include = "fast_api_example"}]

[tool.poetry.dependencies]
python = "^3.9"
fastapi = "^0.89.1"
uvicorn = "^0.20.0"
pydantic = "^1.10.4"
email-validator = "^1.3.0"
environs = "^9.5.0"
python-dotenv = "^0.21.0"
isort = "^5.11.4"
psycopg2-binary = "^2.9.5"
sqlalchemy = "^1.4.46"
pycln = "^2.1.3"
pytest = "^7.2.1"
black = "^22.12.0"
fastapi-utils = "^0.2.1"
pytest-dotenv = "^0.5.2"
pytest-cov = "^4.0.0"
debugpy = "^1.6.5"
mypy = "^0.991"
structlog = "^22.3.0"
argcomplete = "^2.0.0"


[tool.poetry.group.dev.dependencies]
bpython = "^0.23"
pre-commit = "^2.21.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
